package com.zd.common.core.echarts;

import java.util.List;

/**
 * echarts 返回对象
 *
 * @Author: zhoupan
 * @Date: 2021/09/13/11:04
 * @Description:
 */
public class Option<X, Y, F extends Serie<Y>> {

    /**
     * 标题
     */
    private Title title;

    /**
     * X坐标
     */
    private Axis xAxis;

    /**
     * Y坐标
     */
    private Axis yAxis;

    /**
     * 图例
     */
    private Legend legend;

    /**
     * 数据系列
     */
    private List<F> series;


    public Title getTitle() {
        return title;
    }

    public void setTitle(Title title) {
        this.title = title;
    }

    public Axis getxAxis() {
        return xAxis;
    }

    public void setxAxis(Axis xAxis) {
        this.xAxis = xAxis;
    }

    public Axis getyAxis() {
        return yAxis;
    }

    public void setyAxis(Axis yAxis) {
        this.yAxis = yAxis;
    }

    public Legend getLegend() {
        return legend;
    }

    public void setLegend(Legend legend) {
        this.legend = legend;
    }

    public List<F> getSeries() {
        return series;
    }

    public void setSeries(List<F> series) {
        this.series = series;
    }
}
